aboutsummaryrefslogtreecommitdiff
path: root/sp/src/thirdparty/protobuf-2.3.0/generate_descriptor_proto.sh
diff options
context:
space:
mode:
authorJoe Ludwig <[email protected]>2013-06-26 15:22:04 -0700
committerJoe Ludwig <[email protected]>2013-06-26 15:22:04 -0700
commit39ed87570bdb2f86969d4be821c94b722dc71179 (patch)
treeabc53757f75f40c80278e87650ea92808274aa59 /sp/src/thirdparty/protobuf-2.3.0/generate_descriptor_proto.sh
downloadsource-sdk-2013-39ed87570bdb2f86969d4be821c94b722dc71179.tar.xz
source-sdk-2013-39ed87570bdb2f86969d4be821c94b722dc71179.zip
First version of the SOurce SDK 2013
Diffstat (limited to 'sp/src/thirdparty/protobuf-2.3.0/generate_descriptor_proto.sh')
-rw-r--r--sp/src/thirdparty/protobuf-2.3.0/generate_descriptor_proto.sh33
1 files changed, 33 insertions, 0 deletions
diff --git a/sp/src/thirdparty/protobuf-2.3.0/generate_descriptor_proto.sh b/sp/src/thirdparty/protobuf-2.3.0/generate_descriptor_proto.sh
new file mode 100644
index 00000000..db0b0836
--- /dev/null
+++ b/sp/src/thirdparty/protobuf-2.3.0/generate_descriptor_proto.sh
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+# Run this script to regenerate descriptor.pb.{h,cc} after the protocol
+# compiler changes. Since these files are compiled into the protocol compiler
+# itself, they cannot be generated automatically by a make rule. "make check"
+# will fail if these files do not match what the protocol compiler would
+# generate.
+#
+# HINT: Flags passed to generate_descriptor_proto.sh will be passed directly
+# to make when building protoc. This is particularly useful for passing
+# -j4 to run 4 jobs simultaneously.
+
+if test ! -e src/google/protobuf/stubs/common.h; then
+ cat >&2 << __EOF__
+Could not find source code. Make sure you are running this script from the
+root of the distribution tree.
+__EOF__
+ exit 1
+fi
+
+if test ! -e src/Makefile; then
+ cat >&2 << __EOF__
+Could not find src/Makefile. You must run ./configure (and perhaps
+./autogen.sh) first.
+__EOF__
+ exit 1
+fi
+
+cd src
+make $@ protoc &&
+ ./protoc --cpp_out=dllexport_decl=LIBPROTOBUF_EXPORT:. google/protobuf/descriptor.proto && \
+ ./protoc --cpp_out=dllexport_decl=LIBPROTOC_EXPORT:. google/protobuf/compiler/plugin.proto
+cd ..